libetonyek::KEYText Class Reference documentation

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Classes | Public Types | Public Member Functions | Private Types | Private Member Functions | Private Attributes | List of all members
libetonyek::KEYText Class Reference

`#include <KEYText.h>`

## Classes
struct | Paragraph

## Public Types
typedef std::deque< ParagraphPtr_t > | ParagraphList_t

## Public Member Functions
| KEYText (bool object=true)
void | setLayoutStyle (const KEYLayoutStylePtr_t &style)
const KEYGeometryPtr_t & | getBoundingBox () const
void | setBoundingBox (const KEYGeometryPtr_t &boundingBox)
void | openParagraph (const KEYParagraphStylePtr_t &style)
void | closeParagraph ()
void | insertText (const std::string &text, const KEYCharacterStylePtr_t &style)
void | insertTab ()
void | insertLineBreak ()
const KEYLayoutStylePtr_t & | getLayoutStyle () const
const ParagraphList_t & | getParagraphs () const
bool | isObject () const
bool | empty () const

## Private Types
typedef boost::shared_ptr< Paragraph > | ParagraphPtr_t

## Private Member Functions
void | insertDeferredLineBreaks ()

## Private Attributes
KEYLayoutStylePtr_t | m_layoutStyle
ParagraphList_t | m_paragraphs
ParagraphPtr_t | m_currentParagraph
int | m_lineBreaks
const bool | m_object
KEYGeometryPtr_t | m_boundingBox

## Member Typedef Documentation

typedef std::deque<ParagraphPtr_t> libetonyek::KEYText::ParagraphList_t

typedef boost::shared_ptr<Paragraph> libetonyek::KEYText::ParagraphPtr_t
| private

## Constructor & Destructor Documentation

libetonyek::KEYText::KEYText | ( | bool | object = `true` | ) |
| explicit

## Member Function Documentation

void libetonyek::KEYText::closeParagraph | ( |  | ) |

bool libetonyek::KEYText::empty | ( |  | ) | const

const KEYGeometryPtr_t & libetonyek::KEYText::getBoundingBox | ( |  | ) | const

const KEYLayoutStylePtr_t & libetonyek::KEYText::getLayoutStyle | ( |  | ) | const

const KEYText::ParagraphList_t & libetonyek::KEYText::getParagraphs | ( |  | ) | const

void libetonyek::KEYText::insertDeferredLineBreaks | ( |  | ) |
| private

void libetonyek::KEYText::insertLineBreak | ( |  | ) |

void libetonyek::KEYText::insertTab | ( |  | ) |

void libetonyek::KEYText::insertText | ( | const std::string & | text,
|  | const KEYCharacterStylePtr_t & | style
| ) |  |

bool libetonyek::KEYText::isObject | ( |  | ) | const

void libetonyek::KEYText::openParagraph | ( | const KEYParagraphStylePtr_t & | style | ) |

void libetonyek::KEYText::setBoundingBox | ( | const KEYGeometryPtr_t & | boundingBox | ) |

void libetonyek::KEYText::setLayoutStyle | ( | const KEYLayoutStylePtr_t & | style | ) |

## Member Data Documentation

KEYGeometryPtr_t libetonyek::KEYText::m_boundingBox
| private

Referenced by getBoundingBox(), and setBoundingBox().

ParagraphPtr_t libetonyek::KEYText::m_currentParagraph
| private

Referenced by closeParagraph(), insertDeferredLineBreaks(), insertLineBreak(), insertTab(), insertText(), and openParagraph().

KEYLayoutStylePtr_t libetonyek::KEYText::m_layoutStyle
| private

Referenced by getLayoutStyle(), and setLayoutStyle().

int libetonyek::KEYText::m_lineBreaks
| private

Referenced by insertDeferredLineBreaks(), and insertLineBreak().

const bool libetonyek::KEYText::m_object
| private

Referenced by isObject().

ParagraphList_t libetonyek::KEYText::m_paragraphs
| private

Referenced by closeParagraph(), empty(), and getParagraphs().

The documentation for this class was generated from the following files:

- KEYText.h
- KEYText.cpp